io.etcd.jetcd.api.lock

## Class LockGrpc

- java.lang.Object
- - io.etcd.jetcd.api.lock.LockGrpc

    @Generated(value="by gRPC proto compiler (version 1.27.1)",
               comments="Source: lock.proto")
    public final class LockGrpc
    extends Object

     The lock service exposes client-side locking facilities as a gRPC interface.

### Nested Class Summary

Nested Classes
`static class` `LockGrpc.LockBlockingStub` The lock service exposes client-side locking facilities as a gRPC interface.
`static class` `LockGrpc.LockFutureStub` The lock service exposes client-side locking facilities as a gRPC interface.
`static class` `LockGrpc.LockImplBase` The lock service exposes client-side locking facilities as a gRPC interface.
`static class` `LockGrpc.LockStub` The lock service exposes client-side locking facilities as a gRPC interface.

### Field Summary

Fields
`static String` `SERVICE_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.MethodDescriptor<LockRequest,LockResponse>` `getLockMethod()`
`static io.grpc.ServiceDescriptor` `getServiceDescriptor()`
`static io.grpc.MethodDescriptor<UnlockRequest,UnlockResponse>` `getUnlockMethod()`
`static LockGrpc.LockBlockingStub` `newBlockingStub(io.grpc.Channel channel)` Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static LockGrpc.LockFutureStub` `newFutureStub(io.grpc.Channel channel)` Creates a new ListenableFuture-style stub that supports unary calls on the service
`static LockGrpc.LockStub` `newStub(io.grpc.Channel channel)` Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getLockMethod

    public static io.grpc.MethodDescriptor<LockRequest,LockResponse> getLockMethod()

#### getUnlockMethod

    public static io.grpc.MethodDescriptor<UnlockRequest,UnlockResponse> getUnlockMethod()

#### newStub

    public static LockGrpc.LockStub newStub(io.grpc.Channel channel)

Creates a new async stub that supports all call types for the service

#### newBlockingStub

    public static LockGrpc.LockBlockingStub newBlockingStub(io.grpc.Channel channel)

Creates a new blocking-style stub that supports unary and streaming output calls on the service

#### newFutureStub

    public static LockGrpc.LockFutureStub newFutureStub(io.grpc.Channel channel)

Creates a new ListenableFuture-style stub that supports unary calls on the service

#### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()